Package ch.qos.logback.classic.util

# Class LoggerNameUtil

java.lang.Object
ch.qos.logback.classic.util.LoggerNameUtil

public class LoggerNameUtil extends Object
Utility class for analysing logger names.

## Constructor Summary

Constructors
Constructor
Description
`LoggerNameUtil()`

## Method Summary

Modifier and Type
Method
Description
`static List<String>`
`computeNameParts(String loggerName)`
`static int`
`getFirstSeparatorIndexOf(String name)`
`static int`
`getSeparatorIndexOf(String name, int fromIndex)`
Get the position of the separator character, if any, starting at position 'fromIndex'.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LoggerNameUtil

public LoggerNameUtil()

## Method Details

### getFirstSeparatorIndexOf

public static int getFirstSeparatorIndexOf(String name)

### getSeparatorIndexOf

public static int getSeparatorIndexOf(String name, int fromIndex)
Get the position of the separator character, if any, starting at position 'fromIndex'.

Parameters:
  `name` -
  `fromIndex` -
Returns:

### computeNameParts

public static List<String> computeNameParts(String loggerName)